Package com.trilead.ssh2.signature

# Class DSAPublicKey

java.lang.Object
com.trilead.ssh2.signature.DSAPublicKey

public class DSAPublicKey extends Object
DSAPublicKey.

## Constructor Summary

Constructors
Constructor
Description
`DSAPublicKey(BigInteger p, BigInteger q, BigInteger g, BigInteger y)`

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getG()`
`BigInteger`
`getP()`
`BigInteger`
`getQ()`
`BigInteger`
`getY()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DSAPublicKey

public DSAPublicKey(BigInteger p, BigInteger q, BigInteger g, BigInteger y)

## Method Details

### getP

public BigInteger getP()

### getQ

public BigInteger getQ()

### getG

public BigInteger getG()

### getY

public BigInteger getY()